// {{{ copyright

/********************************************************************
 *
 * $Id: CancelCommandException.java,v 1.4 2000/06/06 17:00:02 gs Exp $
 *
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Original Code is qfs.de code.
 *
 * The Initial Developer of the Original Code is Gregor Schmid.
 * Portions created by Gregor Schmid are
 * Copyright (C) 1999 Quality First Software, Gregor Schmid.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 *******************************************************************/

// }}}

package de.qfs.lib.command;

/**
 * A special exception to signal that a {@link Command Command} has been
 * aborted by the user.  It is useful when the user cancels a question dialog
 * or a file selector. <p>
 *
 * The {@link CommandDistributor CommandDistributor} will abort silently when
 * it catches this exception.
 *
 * @author      Gregor Schmid
 * @version     $Revision: 1.4 $
 */
public class CancelCommandException
    extends CommandException
{
    /**
     * Create a new CancelCommandException.
     */
    public CancelCommandException ()
    {
        super ("cancelled");
    }

    /**
     * Create a new CancelCommandException.
     *
     * @param   message A message detailing the reason for the exception.
     */
    public CancelCommandException (String message)
    {
        super (message);
    }
}
