// {{{ copyright

/********************************************************************
 *
 * $Id: TableModelFilterListener.java,v 1.4 2000/06/06 16:41:26 gs Exp $
 *
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Original Code is qfs.de code.
 *
 * The Initial Developer of the Original Code is Gregor Schmid.
 * Portions created by Gregor Schmid are
 * Copyright (C) 1999 Quality First Software, Gregor Schmid.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 *******************************************************************/

// }}}

package de.qfs.lib.gui;

import java.util.EventListener;

/**
 * The TableModelFilterListener interface must be implemented by classes
 * interested in a change in a TableModelFilter.
 *
 * @author      Gregor Schmid
 * @version     $Revision: 1.4 $
 */
public interface TableModelFilterListener
    extends EventListener
{
    /**
     * Notify the listener of a change in the TableModelFilter.
     *
     * @param   event   Details about the change.
     */
    public void filterChanged(TableModelFilterEvent event);
}
