// {{{ copyright

/********************************************************************
 *
 * $Id: MRUCacheListener.java,v 1.1 2000/09/06 07:15:13 gs Exp $
 *
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Original Code is qfs.de code.
 *
 * The Initial Developer of the Original Code is Gregor Schmid.
 * Portions created by Gregor Schmid are
 * Copyright (C) 2000 Quality First Software, Gregor Schmid.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 *******************************************************************/

// }}}

package de.qfs.lib.util;

// {{{ imports

import java.util.EventListener;

// }}}

/**
 * A listener for resources dropped from an {@link MRUCache MRUCache}.
 *
 * @author      Gregor Schmid
 * @version     $Revision: 1.1 $
 * @since       0.98.0
 */
public interface MRUCacheListener
    extends EventListener
{
    /**
     * Notify the listener about an object dropped from the {@link MRUCache
     * MRUCache}.
     *
     * @param   event   The event containing the details.
     */
    public void resourceDropped(MRUCacheEvent event);
}
