// {{{ copyright

/********************************************************************
 *
 * $Id: UnknownOptionException.java,v 1.2 2000/07/10 13:29:58 gs Exp $
 *
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Original Code is qfs.de code.
 *
 * The Initial Developer of the Original Code is Gregor Schmid.
 * Portions created by Gregor Schmid are
 * Copyright (C) 2000 Quality First Software, Gregor Schmid.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 *******************************************************************/

// }}}

package de.qfs.lib.util;

/**
 * This exception is thrown by {@link de.qfs.lib.util.ArgsParser#parse
 * ArgsParser.parse} when it encouters an option that has not been defined.
 *
 * @author      Gregor Schmid
 * @version     $Revision: 1.2 $
 */
public class UnknownOptionException
    extends MalformedArgumentListException
{
    /**
     * Create a new UnknownOptionException.
     *
     * @param   message A message explaining the reason for the exception.
     * @param   option  The option that caused the exception.
     */
    public UnknownOptionException(String message, String option)
    {
        super(message, option);
    }
}
